package com.typowebguide.directory.dao;

import java.util.List;

import javax.persistence.TypedQuery;

import com.typowebguide.directory.Entry;
import com.typowebguide.directory.Folder;

public class EntryDaoJpa extends BaseDaoJpa<Entry, Long> implements EntryDao{
	@Override
	public List<Folder> findFolderByName(String folderName) {
		TypedQuery<Folder> byNameQuery = this.entityManager.createQuery("SELECT f FROM Entry f WHERE f.name=:name", Folder.class); 
		return byNameQuery.setParameter("name", folderName).getResultList();
	}

}
